<?xml version="1.0"?>
<doc>
    <assembly>
        <name>TempTask.WebEntry</name>
    </assembly>
    <members>
        <member name="T:TempTask.WebEntry.ApiController.Dto.DtoInput">
            <summary>
            
            </summary>
        </member>
        <member name="T:TempTask.WebEntry.ApiController.Dto.NumZjConfig">
            <summary>
            
            </summary>
        </member>
        <member name="P:TempTask.WebEntry.ApiController.Dto.NumZjConfig.numZjExcels">
            <summary>
            
            </summary>
        </member>
        <member name="T:TempTask.WebEntry.ApiController.Dto.NumZjExcel">
            <summary>
            
            </summary>
        </member>
        <member name="P:TempTask.WebEntry.ApiController.Dto.NumZjExcel.is_excel_config">
            <summary>
            是否采用Excel的新配置方式
            </summary>
        </member>
        <member name="P:TempTask.WebEntry.ApiController.Dto.NumZjExcel.excel_no">
            <summary>
            sheet编号 从1开始
            </summary>
        </member>
        <member name="P:TempTask.WebEntry.ApiController.Dto.NumZjExcel.excel_name">
            <summary>
            sheet名称
            </summary>
        </member>
        <member name="P:TempTask.WebEntry.ApiController.Dto.NumZjExcel.sheets">
            <summary>
            sheet集合
            </summary>
        </member>
        <member name="T:TempTask.WebEntry.ApiController.Dto.NumZjConfigSheet">
            <summary>
            
            </summary>
        </member>
        <member name="P:TempTask.WebEntry.ApiController.Dto.NumZjConfigSheet.sheet_no">
            <summary>
            sheet编号，从1开始
            </summary>
        </member>
        <member name="P:TempTask.WebEntry.ApiController.Dto.NumZjConfigSheet.sheet_name">
            <summary>
            shee名称
            </summary>
        </member>
        <member name="P:TempTask.WebEntry.ApiController.Dto.NumZjConfigSheet.start_row">
            <summary>
            开始行数 Excel中行号
            </summary>
        </member>
        <member name="P:TempTask.WebEntry.ApiController.Dto.NumZjConfigSheet.null_row_count">
            <summary>
            空行数
            </summary>
        </member>
        <member name="P:TempTask.WebEntry.ApiController.Dto.NumZjConfigSheet.start_cell">
            <summary>
            开始列字母， A B C
            </summary>
        </member>
        <member name="P:TempTask.WebEntry.ApiController.Dto.NumZjConfigSheet.null_cell_count">
            <summary>
            空列数
            </summary>
        </member>
        <member name="P:TempTask.WebEntry.ApiController.Dto.NumZjConfigSheet.url">
            <summary>
            接口地址
            </summary>
        </member>
        <member name="P:TempTask.WebEntry.ApiController.Dto.NumZjConfigSheet.skip_rows">
            <summary>
            跳过行 集合 行留空
            </summary>
        </member>
        <member name="P:TempTask.WebEntry.ApiController.Dto.NumZjConfigSheet.skip_columns">
            <summary>
            跳过行 集合 行留空
            </summary>
        </member>
        <member name="T:TempTask.WebEntry.ApiController.Dto.NumZjDownloadInput">
            <summary>
            
            </summary>
        </member>
        <member name="P:TempTask.WebEntry.ApiController.Dto.NumZjDownloadInput.type">
            <summary>
            Excel类型 1是总表，2是城市更新，3是房地产业
            </summary>
        </member>
        <member name="P:TempTask.WebEntry.ApiController.Dto.NumZjDownloadInput.year">
            <summary>
            年
            </summary>
        </member>
        <member name="P:TempTask.WebEntry.ApiController.Dto.NumZjDownloadInput.month">
            <summary>
            月
            </summary>
        </member>
        <member name="P:TempTask.WebEntry.ApiController.Dto.NumZjDownloadInput.week">
            <summary>
            周
            </summary>
        </member>
        <member name="T:TempTask.WebEntry.ApiController.NumZjController">
            <summary>
            
            </summary>
        </member>
        <member name="M:TempTask.WebEntry.ApiController.NumZjController.Download(TempTask.WebEntry.ApiController.Dto.NumZjDownloadInput)">
            <summary>
            
            </summary>
            <returns></returns>
        </member>
        <member name="T:TempTask.WebEntry.Controllers.HomeController">
            <summary>
            
            </summary>
        </member>
        <member name="M:TempTask.WebEntry.Controllers.HomeController.Index">
            <summary>
            
            </summary>
            <returns></returns>
        </member>
        <member name="M:TempTask.WebEntry.Tools.EnumHelper.GetEnumDescription``1(System.Object)">
            <summary>
            得到枚举的DescriptionAttribute值。
            </summary>
            <typeparam name="TEnum"></typeparam>
            <param name="value"></param>
            <returns></returns>
        </member>
        <member name="T:TempTask.WebEntry.Tools.ExcelHelper">
            <summary>
            
            </summary>
        </member>
        <member name="M:TempTask.WebEntry.Tools.ExcelHelper.GetIsCompatible(System.String)">
            <summary>
            判断是否为兼容模式
            </summary>
            <param name="filePath"></param>
            <returns></returns>
        </member>
        <member name="M:TempTask.WebEntry.Tools.ExcelHelper.CreateWorkbook(System.Boolean)">
            <summary>
            创建工作薄
            </summary>
            <param name="isCompatible"></param>
            <returns></returns>
        </member>
        <member name="M:TempTask.WebEntry.Tools.ExcelHelper.CreateWorkbook(System.Boolean,System.Object)">
            <summary>
            创建工作薄(依据文件流)
            </summary>
            <param name="isCompatible"></param>
            <param name="stream"></param>
            <returns></returns>
        </member>
        <member name="M:TempTask.WebEntry.Tools.ExcelHelper.ToExcelColumnIndex(System.String)">
            <summary>
            列名字母转索引
            </summary>
            <param name="columnName"></param>
            <returns></returns>
        </member>
        <member name="M:TempTask.WebEntry.Tools.ExcelHelper.ToExcelColumnName(System.Int32)">
            <summary>
            列索引转字母
            </summary>
            <param name="index"></param>
            <returns></returns>
        </member>
        <member name="T:TempTask.WebEntry.Tools.Extension">
            <summary>
            扩展
            </summary>
        </member>
        <member name="M:TempTask.WebEntry.Tools.Extension.ToInt(System.String,System.Int32)">
            <summary>
            将字符串转换为整数
            </summary>
            <param name="str"></param>
            <param name="defaultValue">转换失败时的默认值</param>
            <returns></returns>
        </member>
        <member name="T:TempTask.WebEntry.Tools.HttpHelper">
            <summary>
            
            </summary>
        </member>
        <member name="M:TempTask.WebEntry.Tools.HttpHelper.CallUrl(System.String,System.String,System.String)">
            <summary>
            请求网页地址
            </summary>
            <param name="url">网页地址</param>
            <param name="method"></param>
            <param name="param">参数</param>
            <returns></returns>
        </member>
        <member name="M:TempTask.WebEntry.Tools.HttpHelper.CallUrl(System.String,System.String)">
            <summary>
            
            </summary>
            <param name="url"></param>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="T:TempTask.WebEntry.Tools.NumZjHelper">
            <summary>
            
            </summary>
        </member>
        <member name="T:TempTask.WebEntry.Tools.NumZjHelper.ExcelType">
            <summary>
            
            </summary>
        </member>
        <member name="F:TempTask.WebEntry.Tools.NumZjHelper.ExcelType.总表">
            <summary>
            总表
            </summary>
        </member>
        <member name="F:TempTask.WebEntry.Tools.NumZjHelper.ExcelType.城市更新">
            <summary>
            城市更新
            </summary>
        </member>
        <member name="F:TempTask.WebEntry.Tools.NumZjHelper.ExcelType.房地产业">
            <summary>
            房地产业
            </summary>
        </member>
        <member name="F:TempTask.WebEntry.Tools.NumZjHelper.ExcelType.城市更新0318">
            <summary>
            城市更新0318
            </summary>
        </member>
        <member name="M:TempTask.WebEntry.Tools.NumZjHelper.WriteTemplate(System.Int32,System.Int32,System.Int32,TempTask.WebEntry.ApiController.Dto.NumZjExcel)">
            <summary>
            
            </summary>
            <param name="year"></param>
            <param name="month"></param>
            <param name="week"></param>
            <param name="numZjExcel"></param> 
            <returns></returns>
        </member>
    </members>
</doc>
